Bug 533976 (SL_VWR_lnx_amd64) - secondlife - The Second Life client for AMD64 / x86_64
Summary: secondlife - The Second Life client for AMD64 / x86_64
Keywords:
Status: CLOSED WONTFIX
Alias: SL_VWR_lnx_amd64
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 11
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 533384
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-09 22:41 UTC by Arne Woerner
Modified: 2010-01-26 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 12:56:02 UTC


Attachments (Terms of Use)

Description Arne Woerner 2009-11-09 22:41:00 UTC
Description of problem:
The Second Life client 
( http://en.wikipedia.org/wiki/Secondlife )
is currently not officially available for x86_64 platforms and the officially provided i686 package seems to be less efficient on x86_64.
I guess it uses so many i686 libraries (X11, gtk, gdk, GL), that the main memory gets crowded...

Version-Release number of selected component (if applicable):
SecondLife-x86_64-1.23.5.136262.tar.bz2 (27579624bytes)
I needed to tweak
1. some makefiles, because compiler warnings should be ignored...
2. some C/H-files, because gcc doesnt like empty parameter lists after a #define (e. g. "#define ABC() bla;")...
3. some linker instructions, because they wanted "-ldb-4.2" or so (i gave it "-ldb", which works fine, 2...)...

Problems:
1. That package needs several x86_64 bit libs, but i dont know how to build a rpm, that includes dependencies (if i try to do it, it might look like Homer Simpson's Tax Day letter to the IRS...)... :-)
2. Some libraries that r not provided by fc11 r statically linked (e. g. xmlrpc-epi-0.54.1, ELFIO-1.0.3, libndofdev-0.2) and some r in a libs-directory local to the SecondLife-tar-ball (e. g. a patched openjpeg_v1_3 (see bug# 533384))...
3. Maybe Linden Labs (the publisher of the Secondlife viewer source code) might be unhappy, if we call my home-brew compilation "SecondLife-..."... :-)
4. FMOD is used by the official (beta) release, but not by mine (but there seems to be some stereo effect)...
5. the SecondLife Voice is taken from the official (beta) release and still i686, but it uses less libraries, so that it doesnt waste too many resources...
6. my compilation uses openal-soft and thereby it works nicely with pulseaudio (i can c multiple output (SL, SLVoice, media, music) and 1 input channel in pavucontrol)...
7. I dont know where to put my tar-ball...

Advantage:
The user would just need to run "yum install secondlife", if we get the rpm right
(while currently at least a tar-ball-extraction is necessary;
and if the box is a little weak, it is even necessary to compile the viewer)...

Additional info:
previous attempt: 233946
related bug: 533384
official attempt: http://jira.secondlife.com/browse/VWR-13793

Comment 1 Jason Tibbitts 2009-11-10 20:04:37 UTC
This is a rather odd review request; it doesn't look as if you have any actual package to submit.  Could you perhaps start at http://fedoraproject.org/wiki/Join_the_package_collection_maintainers and follow the instructions there?

If you're not submitting an actual package for review according to the process at that URL then I'm not sure what to do with this ticket.  You should't open a package review ticket until you have a package to review; if you just want to work with a group of people to get something together then I suppose you could start with thhe Games SIG (http://fedoraproject.org/wiki/SIGs/Games).

Given the lack of anything to review, I'm going to set the whiteboard accordingly so this ticket won't appear in the review queue.  If you do produce a package that you'd like to have reviewed, please clear the whiteboard.

Comment 2 Arne Woerner 2009-11-10 21:42:20 UTC
ohoh

i could just upload that tar ball to some place...

SRPM sounds like i have to write a script for all those little changes, that i did manually, whenever the compiler gave up...

cant i submit a binary package somehow?

-arne

Comment 3 Jason Tibbitts 2009-11-10 23:03:25 UTC
Under no circumstances can we accept a binary package of the second life client.  http://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

Comment 4 Rahul Sundaram 2009-11-11 10:58:22 UTC
The whole point of a writing a spec file is to automate all the things that you had to do manually so that users can install it easily.

Comment 5 Arne Woerner 2009-11-11 12:56:02 UTC
ohoh

without binaries it is a lot more work than i had before,
because the linden labs build tool installs a lot of binaries...

so i close this review request... :-)

-arne


Note You need to log in before you can comment on or make changes to this bug.